#ifndef STANDALONE_H
#define STANDALONE_H

#define STANDALONE

#include <vsmpg.h>
#include <hardware.h>
/*general.h*/
extern s_int16 (*applAddr)(s_int16 register __i0 **d,
			   s_int16 register __a1 mode,
			   s_int16 register __a0 n);
extern u_int16 __y timeToRemovePDown2;
/*common.h*/
auto void InitReadFrame(void);
auto s_int16 ReadFrame(void);
/*asmfuncs.h*/
void WriteToProgramRam(register __i0 addr,
		       register __a1 msB, register __a0 lsB);
u_int32 ReadFromProgramRam(register __i0 addr);


auto s_int16 myrand(void); /* output 0..0x3fff */
extern __y s_int16 rand_seed;

#include "fat.h"

void SpiLoad(register __i2 short startAddr);

void MyReset();

auto void SpiSendClocks(void);
auto u_int16 SpiSendReceiveMmc(register __a0 u_int16 topAlignedData,
			       register __a1 numBits);
auto u_int16 MmcCommand(register __b0 s_int16 cmd, register __d u_int32 arg);
auto u_int16 ReadDiskSector(register __a u_int32 sector);
auto void WritePhysicalSectorY(register __d u_int32 sector,
			      register __i3 __y u_int16 *dataBufPtr);
auto u_int16 GetByte(register __c0 u_int16 n);
auto u_int16 GetWord(register __c0 u_int16 n);
auto u_int32 GetLong(register __c0 u_int16 n);
auto u_int16 InitFileSystem(void);
auto u_int16 InitFileSystemR(void);
auto __y struct FRAGMENT *FragmentList(register __i2 __y struct FRAGMENT *frag,
			  register __b u_int32 fatCluster);
auto s_int16 HandleDir(register __i2 __y struct FRAGMENT *curFragment,
		       __y struct FRAGMENT *nextFragment);
auto s_int16 OpenFile(register u_int16 fileNum);
auto s_int16 CheckFileType1003(register __a u_int32 name);
auto s_int16 CheckFileType1003Nw(register __a u_int32 name);

#ifdef RECORDER
s_int16 RecordDiv(void);
s_int16 RecordMode(void);
#else
u_int16 SciModeOr(void);
#endif
void Enable(void);

extern __y s_int16 shuffleSeeds[2];
u_int16 Shuffle(register __c0 u_int16 files, register __c1 u_int16 old);

#endif/*STANDALONE_H*/
